#ifndef MAINAPPLICATION_H
#define MAINAPPLICATION_H

#include <Application.h>
#include <LayoutBuilder.h>

#include "MainWindow.h"

class MainApplication : public BApplication
{
	public:
		MainApplication( void ) : BApplication("application/x-vnd.cipri.Puri")
		{
		}

		virtual void ReadyToRun( void )
		{
			BRect frame;
			frame.Set( 50, 50, 900, 650 );
			fMainWindow = new MainWindow( frame );
			fMainWindow->Show();
		}

	private:

    MainWindow*     fMainWindow;
};

#endif
